<?xml version = "1.0" encoding = "utf-8" ?>
<!--********** Copyright 2024 XoceUnder.  All Rights Reserved. **********-->
<component name = "MarkupListItem" extends = "BaseGroup" >
 
  <interface> 
    <field id = "itemContent" type = "node" onChange = "showcontent" />
    <field id = "focusPercent" type = "float" onChange = "showfocus" />
	<field id="index" type="integer"/>
  </interface>
  <script type="text/brightscript" uri="MarkupListItem.brs" />

  <children>
  
    <Group id="group">
      <Rectangle>
        <Poster id="itemPoster" uri="pkg:/images/icons/rounded-$$RES$$.9.png" width="410" height="64" translation = "[ -10 , 0  ]" />
        <Poster id = "itemIcon" translation = "[ 30 , 24 ]" visible="false" />
        <ScrollingLabel id = "itemLabel" maxWidth="340" translation = "[ 50, 14 ]" />
      </Rectangle>
    </Group>
	
  </children>

</component>
